DTLSV1_HANDLE_TIMEOUT(3SSL)

NAME
DTLSv1_handle_timeout - handle a pending timeout event for a DTLS or QUIC SSL object

SYNOPSIS
 #include <openssl/ssl.h>

 int DTLSv1_handle_timeout(SSL *ssl);

DESCRIPTION
DTLSv1_handle_timeout() handles any timeout events which have become pending on a DTLS or QUIC SSL object.

Use DTLSv1_get_timeout(3) or SSL_get_event_timeout(3) to determine when to call DTLSv1_handle_timeout().

This function is only applicable to DTLS or QUIC SSL objects. It returns 0 if called on any other kind of SSL object.

SSL_handle_events(3) supersedes all use cases for this function and may be used instead of it.

RETURN VALUES
Returns 1 if there was a pending timeout event and it was handled successfully.

Returns 0 if there was no pending timeout event, or if the SSL object is not a DTLS or QUIC object.

Returns -1 if there was a pending timeout event but it could not be handled successfully.

SEE ALSO
DTLSv1_get_timeout(3), SSL_handle_events(3), ssl(7)

COPYRIGHT
Copyright 2023 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.